Bug 494343 - Can delete default exchanges
Can delete default exchanges
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1
All Linux
high Severity high
: 1.1.2
: ---
Assigned To: Ted Ross
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 09:46 EDT by Carl Trieloff
Modified: 2015-11-15 19:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-12 13:39:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (off of svn revision 752581) that fixes this problem. (753 bytes, patch)
2009-05-20 10:58 EDT, Ted Ross
no flags Details | Diff

  None (edit)
Description Carl Trieloff 2009-04-06 09:46:43 EDT
It is possible to delete default exchanges, at which time mgnt stops working.

When working this BZ, check any defaults queues also for possibility of deletion
Comment 1 Gordon Sim 2009-04-06 10:07:22 EDT
Specifically can delete amq.direct, amq.topic, amq.fanout and amq.matches. As these exchange instances are 'required' by the spec, it would be best to prevent them from being deleted.

Deletion of amq.direct in particular is problematic as the management agent for the broker relies on that existing.
Comment 2 Carl Trieloff 2009-04-06 10:21:28 EDT
We should also prevent the deletion of the management exchange.
Comment 3 Ted Ross 2009-05-20 10:58:14 EDT
Created attachment 344820 [details]
Patch (off of svn revision 752581) that fixes this problem.
Comment 4 Gordon Sim 2009-05-28 06:19:39 EDT
Fixed in qpidd-0.5.752581-8
Comment 5 Frantisek Reznicek 2009-05-29 09:59:01 EDT
The issue has been fixed and now all above mentioned exchanges cannot be deleted, validated on RHEL 5.3 i386/x86_64 on packages qpidd-0.5.752581-9.el5.


Waiting for RHEL4 packages to try...
Comment 6 Frantisek Reznicek 2009-06-01 12:25:42 EDT
Retested on qpidd-0.5.752581-10.el4 and found that exchanges can be deleted on RHEL 4.7 i386 / x86_64.

Status: qpidd-0.5.752581-9.el5 and qpidd-0.5.752581-10.el5 fixed
        qpidd-0.5.752581-10.el4 - not fixed!

Waiting for new RHEL4 package set!
Comment 8 Frantisek Reznicek 2009-06-02 02:35:24 EDT
The issue has been fixed, no default exchange can be deleted on RHEL 4.7 / 5.3 i386 / x86_64 on packages:
qpidd-0.5.752581-9.el5, qpidd-0.5.752581-10.el5 and qpidd-0.5.752581-11.el4.


->VERIFIED
Comment 10 errata-xmlrpc 2009-06-12 13:39:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1097.html

Note You need to log in before you can comment on or make changes to this bug.